Bug 2756 - QT with Xft support enabled on X11R6.8.2 crashes X server
Summary: QT with Xft support enabled on X11R6.8.2 crashes X server
Status: RESOLVED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Server/General (show other bugs)
Version: unspecified
Hardware: x86 (IA32) Linux (All)
: high major
Assignee: Xorg Project Team
QA Contact:
URL:
Whiteboard:
Keywords: want-backtrace
Depends on:
Blocks:
 
Reported: 2005-03-17 08:54 UTC by Gleb Golubitsky
Modified: 2007-02-22 14:27 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gleb Golubitsky 2005-03-17 08:54:57 UTC
There is a very bad bug. When I tried to start 'qtconfig' from Xft-enableb QT on 
X11R6.8.2 it crashed. Fluxbox with enabled antialiasing option works good - no
crashes. Here is a part of Xorg.0.log:

[cut]
   *** If unresolved symbols were reported above, they might not
   *** be the reason for the server aborting.

Fatal server error:
Caught signal 11.  Server aborting


Please consult the The X.Org Foundation support
         at http://wiki.X.Org
 for help.
Please also check the log file at "/var/log/Xorg.0.log" for additional
information.

There were no unresolved symbols. In syslog - absolute silence. Freetype-2.1.9,
Fontconfig-2.2.3, Qt-3.3.4. Video card - Intel 855GM, Video Driver - i810.
Thanks!
P.S. Sorry for bad English - I'm from Ukraine.
Comment 1 Adam Jackson 2005-07-03 14:48:33 UTC
starting with the 6.8.99.14 snapshot, on linux systems, the X server can print
its own backtrace when it crashes.  please confirm that these bugs are still
valid with 6.8.99.14 or later, and if they are please attach a the server log
from the crash.
Comment 2 Erik Andren 2006-05-31 01:51:27 UTC
What is the status of this one using a current version of xorg? (7.1)
Comment 3 Timo Jyrinki 2007-02-22 14:27:32 UTC
Marking broken (status null/blank) bugs in xorg with no activity in a long time as fixed. Please reopen if you think it's necessary, but first do a search if a similar bug report is already filed and in a NEW/ASSIGNED state. These bugs do not currently show in most search results as they do not have any status.

Sorry for this janitorial spam, you know where to send hate mails to when your inbox gets full of bugs you're subscribed to.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.